/*
 * This file is part of PAXLink, which is an AI for OpenTTD
 * Copyright (C) 2008  Leif Linse
 *
 * PAXLink is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * PAXLink is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with PAXLink; If not, see <http://www.gnu.org/licenses/> or
 * write to the Free Software Foundation, Inc., 51 Franklin Street, 
 * Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

// min OpenTTD nightly: 2009-01-18

class PAXLink extends AIInfo {
	function GetAuthor()      { return "Zuu"; }
	function GetName()        { return "PAXLink"; }
	function GetShortName()            { return "PAXL"; }
	function GetDescription() { return "Builds bus services in towns and airports for inter-city transport. Town passengers are forced onto the planes using transfer orders."; }
	function GetVersion()     { return 7; }
	function GetDate()        { return "2008-02-01"; }
	function CreateInstance() { return "PAXLink"; }
	
	// There is no saved state, but by setting <= this version, users
	// will not use an older version that might not handle the vehicles
	// as good as the one that was used to make the save game
	function CanLoadFromVersion(version) { return version <= GetVersion(); }

	function GetSettings() {
		AddSetting({name = "debug_signs", description = "Enable building debug signs", easy_value = 0, medium_value = 0, hard_value = 0, custom_value = 0, flags = AICONFIG_BOOLEAN});
		AddSetting({name = "avoid_town_road_grid", description = "Avoid building bus stops and depots on town road grid", easy_value = 1, medium_value = 1, hard_value = 1, custom_value = 1, flags = AICONFIG_BOOLEAN});
		AddSetting({name = "forbid_town_road_grid", description = "Forbid building bus stops and depots on town road grid", easy_value = 1, medium_value = 0, hard_value = 0, custom_value = 0, flags = AICONFIG_BOOLEAN});
	}

}

/* Tell the core we are an AI */
RegisterAI(PAXLink());
